"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Generator = void 0;
const validator_1 = require("./validator");
const versions_1 = require("./versions");
class Generator {
    constructor(version) {
        (0, versions_1.validateVersion)(version);
        const [name, calVer] = version.split('-');
        this.name = name;
        this.calVer = calVer;
    }
    generateJSON(unordered) {
        const version = this.name.concat('-').concat(this.calVer);
        const validator = new validator_1.Validator(version);
        const validated = validator.validate(unordered);
        if (!validated) {
            throw new Error(`JSON does not conform to the ${version} schema.`);
        }
        const ordered = {};
        Object.keys(unordered)
            .sort()
            .forEach(key => {
            ordered[key] = unordered[key];
        });
        return JSON.stringify(ordered);
    }
}
exports.Generator = Generator;
//# sourceMappingURL=generator.js.map